@media all and (min-width :100px) and (max-width :1024px) {
    #content {
        width: 70%
    }
    #leftbar {
        width: 30%
    }
    #rightbar {
        width: 100%
    }
    #rightbar .col {
        width: 32%;
        float: left;
        margin-right: 1%
    }
    #banner-slide .item,
    .material .item {
        width: 50%
    }
}

@media screen and (max-width :1024px) {
    body {
        background-image: none;
        overflow-x: hidden;
    }
    #cartInfo {
        width: auto;
    }
    .modalBox .content {
        width: 100%;
        box-sizing: border-box;
    }
    #cartInfo .panel .btn.ml10 {
        display: none;
    }
    #fastCat a {min-width: 114px;}
}

@media screen and (max-width: 960px) {
    .container {
        min-width: 0;
    }
    #rightbar{
        display: none;
    }
    .item .pad{
        position: relative;
        padding-bottom: 50px;
    }
    .bjqs .item .pad{
        padding-bottom: 70px;
    }
    .item:hover {
        transform: scale(1,1)
    }
    .material .item .toCart,
    .bjqs .item .toCart{
        opacity: 1;
        bottom: 11px;
        left: 10px;
        width: calc(100% - 20px);
        margin-left: 0;
        position: absolute;
    }
    #leftbar {
        width: 250px;
    }
    #content {
        width: calc(100% - 250px);
    }
    #content > .pad {
        padding: 0 0 0 20px;
    }
    .item:hover {
        z-index: 1;
    } 
    .printBtn {display: none !important;}
}

@media screen and (max-width: 780px) {
    #cartInfo .step li {
        background: #fff;
        border-right: 0px;
    }
    #searchForm input[type=text] {
        border-color: #000;
    }
    #leftbar {
        position: fixed;
        right: -300px;
        top: 0;
        background: #f8f8f8;
        padding: 20px;
        border-left: 1px solid grey;
        overflow-y: scroll;
        height: 100%;
        transition: .5s;
        z-index: 200;
        box-sizing: border-box;
        width: 290px;
    }
    #leftbar.active{
        right: 0px;
        z-index: 9999;
    }
    #leftbar.active #searchBlock{
        display: none;
    }
    #btnMenu,#leftbar .close{
        display: block;
    }
    #content {
        width: 100%;
    }
    #content > .pad {
        padding: 0;
    }
    #topPanel {
        right: 0;
        top: auto;
        width: 100%;
        bottom: 0;
    }
    #topPanel .link {
        float: none;
        text-align: center;
    }
    #searchBlock,
    #searchBlock.fixed{
        position: fixed;
        left: 0px;
        max-width: 100%;
        min-width: 0px;
        padding: 0;
        top: 0;
        width: 100%;
        margin: 0;
    }
    #cartInfo .step,
    #cart_scroll{
        float: none;
        height: auto;
        width: 100%;
        margin: 0;
    }
    #cart_scroll{
        height: calc(100% - 50px);
    }
    #cartInfo .step li {
        height: auto;
        width: 50%;
        box-sizing: border-box;
        line-height: 40px;
    }
    #cartInfo ul.step{
        display: none;
    }
    #cartInfo {
        padding-top: 25px !important;
    }
    #korzina {
        margin-right: 46px;
    }
    #cartInfo .panel {
        position: static;
        width: 100%;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    form[name="order"] .col1, form[name="order"] .col2 {
        margin-bottom: 15px;
    }
    #cartInfo .panel .summWrapp {
        float: none;
        width: 100%;
        text-align: right;
        margin-top: 5px;
    }
    #cartInfo {
        box-sizing: border-box;
        height: calc(100% - 30px);
    }
    #map {
        float: none;
        width: 100%;
        margin-bottom: 10px;
    }
    .modalBox .content.is_mobile {
        height: 100%;
    }
    .modalBox .content {
        padding-bottom: 40px;
        border: none !important;
        border-radius: 0px !important;
        box-shadow: none !important;
    }
    .modalBox .btnClose {
        background: red !important;
        color: #fff;
        text-align: center;
        height: 30px !important;
        left: 10px;
        top: auto !important;
        bottom: 10px;
        width: calc(100% - 20px) !important;
        font-size: 18px;
        line-height: 30px;
    }
    .modalBox .btnClose .closeText{
        display: inline-block;
    }
    #banner-slide,
    ul.bjqs, .bjqs-slide{
        height: auto !important;
        max-height: 100% !important;
        position: static !important;
    }
}

@media screen and (max-width: 640px) {
    #contacts .greybutton {
        display: none;
    }
    #logo {
        float: none;
        width: 100%;
        margin-right: 0;
        text-align: center;
        margin-bottom: 15px;
    }
    #header #logo img {
        display: inline-block;
    }
    #contacts {
        margin-top: 0;
    }
    #contacts .tooltip {
        display: block;
        position: static;
        text-align: left;
    }
    #header {
        background: none;
        padding-top: 10px;
        text-align: center;
    }
    form[name=order] label {
        margin-top: 3px;
    }
    input[type=text], input[type=password], select, textarea {
        margin-bottom: 6px;
        padding: 5px 7px;
    }
    form[name=order] textarea[name=adress] {
        height: 55px;
    }
    form[name="order"] .col1, form[name="order"] .col2 {
        margin-bottom: 0px;
    }
    form[name=order] textarea[name=comment] {
        height: auto;
        max-height: 70px;
    }
    #cartInfo .panel .btn.prev, #cartInfo .panel .btn.next {
        margin-bottom: 5px !important;
    }
    #cartInfo {
        background: transparent;
    }
    #cartInfo .data {
        padding-left: 0px;
        padding-right: 0px;
        padding-top: 0px;
    }
    #footer_content p {
        max-width: 100%;
        text-align: center;
    }
}

@media screen and (max-width: 580px) {
    #banner-slide .item .pad, .material .item .pad {
        margin: 0;
    }
    #banner-slide .item, .material .item {
        width: calc(50% - 10px);
        margin-bottom: 15px;
    }
    #banner-slide .item:nth-child(2n + 1){
        margin-right: 20px;
    }
    .material {
        justify-content: space-between;
    }
    .item .pad {
        height: auto;
    }
}

@media screen and (max-width: 540px) {
    .preview,.opisanie {
        width: 100%;
    }
    .opisanie .pad {
        padding: 0;
        margin-top: 15px;
    }
    .opisanie .prow {
        font-size: 18px;
    }
}

@media screen and (max-width: 480px) {
    #banner-slide .item, .material .item {
        width: 100%;
        margin-right: 0;
    }
    #contacts .tooltip {
        width: 100%;
        box-sizing: border-box;
        margin-bottom: 15px;
    }
    #korzina {
        display: none;
    }
    .gtree {
        position: relative;
        padding-top: 30px;
    }
    .backToPrevUrl {
        padding: 0;
        position: absolute;
        top: 0;
        right: 0;
    }
    #cartTable {
        width: 100%;
        display: block;
        overflow-x: scroll;
    }
}

@media screen and (max-width: 430px) {
    .inform {
        background: #fff;
        padding: 15px 10px;
    }
    #cartInfo form[name="order"] .col1, #cartInfo form[name="order"] .col2 {
        float: none;
        width: 100%;
    }
    #cartInfo .step li {
        font-size: 13px;
    }
    form[name="order"] input, form[name="order"] textarea {
        width: 100%;
    }
}

@media screen and (max-width: 350px) {
    #cartInfo .panel .btn.prev,
    #cartInfo .panel .btn.next{
        float: none;
        width: 100%;
        margin-bottom: 15px;
        text-align: center;
        margin-right: 0;
    }
}